<?php
/**
 * @file
 * particle_emitter.config_colors.inc.
 */

 /**
  * Implements hook_form().
  */
function particle_emitter_colors_form_inc($delta) {

  $form['particle_emitter_group_colors'] = array(
    '#type' => 'fieldset',
    '#title' => t('Colors'),
    '#collapsible' => TRUE,
    '#collapsed' => FALSE,
    '#group' => 'particle_emitter',
    '#weight' => 4,
  );

  $form['particle_emitter_group_colors']['particle_emitter_group_colors_canvas'] = array(
    '#type' => 'fieldset',
    '#title' => t('Canvas Coloration'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
  );

  $particle_emitter_canvas_fill_style_default = array($delta => 'full');
  $particle_emitter_canvas_fill_style = variable_get('particle_emitter_canvas_fill_style', $particle_emitter_canvas_fill_style_default);
  if (empty($particle_emitter_canvas_fill_style[$delta])) {
    $particle_emitter_canvas_fill_style[$delta] = $particle_emitter_canvas_fill_style_default;
  }
  $form['particle_emitter_group_colors']['particle_emitter_group_colors_canvas']['particle_emitter_canvas_fill_style'] = array(
    '#type' => 'select',
    '#title' => t('Fill Style'),
    '#options' => array(
      'full' => t('Full')),
    '#default_value' => $particle_emitter_canvas_fill_style[$delta],
    '#description' => t('Select the filling type for the canvas.'),
  );

  $particle_emitter_canvas_bgcolor_default = array($delta => '#FFFFFF');
  $particle_emitter_canvas_bgcolor = variable_get('particle_emitter_canvas_bgcolor', $particle_emitter_canvas_bgcolor_default);
  if (empty($particle_emitter_canvas_bgcolor[$delta])) {
    $particle_emitter_canvas_bgcolor[$delta] = $particle_emitter_canvas_bgcolor_default;
  }
  $form['particle_emitter_group_colors']['particle_emitter_group_colors_canvas']['particle_emitter_canvas_bgcolor'] = array(
    '#type' => 'textfield',
    '#title' => t('Canvas bg color'),
    '#description' => t('Canvas background color.'),
    '#default_value' => $particle_emitter_canvas_bgcolor[$delta],
    '#size' => 40,
    '#maxlength' => 120,
    '#required' => FALSE,
  );

  $form['particle_emitter_group_colors']['particle_emitter_group_colors_particles'] = array(
    '#type' => 'fieldset',
    '#title' => t('Particles Coloration'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
  );

  $particle_emitter_particles_fill_style_default = array($delta => 'gradient');
  $particle_emitter_particles_fill_style = variable_get('particle_emitter_particles_fill_style', $particle_emitter_particles_fill_style_default);
  if (empty($particle_emitter_particles_fill_style[$delta])) {
    $particle_emitter_particles_fill_style[$delta] = $particle_emitter_particles_fill_style_default;
  }
  $form['particle_emitter_group_colors']['particle_emitter_group_colors_particles']['particle_emitter_particles_fill_style'] = array(
    '#type' => 'select',
    '#title' => t('Fill Style'),
    '#options' => array(
      'gradient' => t('Gradient'),
      'full' => t('Full')),
    '#default_value' => $particle_emitter_particles_fill_style[$delta],
    '#description' => t('Select the filling style for the particles.'),
  );

  $particle_emitter_particles_fill_type_default = array($delta => 'random');
  $particle_emitter_particles_fill_type = variable_get('particle_emitter_particles_fill_type', $particle_emitter_particles_fill_type_default);
  if (empty($particle_emitter_particles_fill_type[$delta])) {
    $particle_emitter_particles_fill_type[$delta] = $particle_emitter_particles_fill_type_default;
  }
  $form['particle_emitter_group_colors']['particle_emitter_group_colors_particles']['particle_emitter_particles_fill_type'] = array(
    '#type' => 'select',
    '#title' => t('Fill Type'),
    '#options' => array(
      'random' => t('Random'),
      'fixed' => t('Fixed')),
    '#default_value' => $particle_emitter_particles_fill_type[$delta],
    '#description' => t('Select the filling type for the particles. Colors will be applied randomly or by the defined rgb color below.'),
  );

  $particle_emitter_particles_color_rgb_r_default = array($delta => 0);
  $particle_emitter_particles_color_rgb_r = variable_get('particle_emitter_particles_color_rgb_r', $particle_emitter_particles_color_rgb_r_default);
  if (empty($particle_emitter_particles_color_rgb_r[$delta])) {
    $particle_emitter_particles_color_rgb_r[$delta] = $particle_emitter_particles_color_rgb_r_default;
  }
  $form['particle_emitter_group_colors']['particle_emitter_group_colors_particles']['particle_emitter_particles_color_rgb_r'] = array(
    '#type' => 'textfield',
    '#title' => t('RGB - Red'),
    '#description' => t('RGB - red component.'),
    '#default_value' => $particle_emitter_particles_color_rgb_r[$delta],
    '#size' => 3,
    '#maxlength' => 3,
    '#required' => FALSE,
  );

  $particle_emitter_particles_color_rgb_g_default = array($delta => 0);
  $particle_emitter_particles_color_rgb_g = variable_get('particle_emitter_particles_color_rgb_g', $particle_emitter_particles_color_rgb_g_default);
  if (empty($particle_emitter_particles_color_rgb_g[$delta])) {
    $particle_emitter_particles_color_rgb_g[$delta] = $particle_emitter_particles_color_rgb_g_default;
  }
  $form['particle_emitter_group_colors']['particle_emitter_group_colors_particles']['particle_emitter_particles_color_rgb_g'] = array(
    '#type' => 'textfield',
    '#title' => t('RGB - Green'),
    '#description' => t('RGB - green component.'),
    '#default_value' => $particle_emitter_particles_color_rgb_g[$delta],
    '#size' => 3,
    '#maxlength' => 3,
    '#required' => FALSE,
  );

  $particle_emitter_particles_color_rgb_b_default = array($delta => 0);
  $particle_emitter_particles_color_rgb_b = variable_get('particle_emitter_particles_color_rgb_b', $particle_emitter_particles_color_rgb_b_default);
  if (empty($particle_emitter_particles_color_rgb_b[$delta])) {
    $particle_emitter_particles_color_rgb_b[$delta] = $particle_emitter_particles_color_rgb_b_default;
  }
  $form['particle_emitter_group_colors']['particle_emitter_group_colors_particles']['particle_emitter_particles_color_rgb_b'] = array(
    '#type' => 'textfield',
    '#title' => t('RGB - Blue'),
    '#description' => t('RGB - blue component.'),
    '#default_value' => $particle_emitter_particles_color_rgb_b[$delta],
    '#size' => 3,
    '#maxlength' => 3,
    '#required' => FALSE,
  );

  return $form;
}
